********************************************************************************
*                                                                              * 
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### refill ###
c  
c     Reverses the action of fill and fill[2-4]
c
      subroutine refill (nni,nmi,fun,work)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      dimension fun(nni,*),work(nni+8,nmi+8)

c     refill the interior of work array

      do i=1,nmi
         do j=1,nni
            fun(j,i)=work(j+4,i+4)
         enddo
      enddo

      return
      end
